mav_navigationMouseDefault(3)

NAME
mav_navigationMouseDefault - The default implementation of mouse navigation

LEVEL
Maverik Level 1

SYNTAX
int mav_navigationMouseDefault(MAV_object *o, MAV_mouseEvent *e)

DESCRIPTION
This function is the default implementation of mouse navigation and is used as the second argument to mav_navigationMouse, i.e.

<cod> mav_navigationMouse(mav_win_all, mav_navigationMouseDefault); </cod>

It provides the following controls:

Linear translations assume that the application is using meters as its units.

The style of mouse navigation provided by this function is fully configurable via mav_navigationMouseDefaultParams.

SEE ALSO
mav_navigationMouse, mav_navigationMouseDefaultParams, mav_navigationKeyboardDefault